Bug 60455 - gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O3 -g" fails
gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O3 -g" fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 16:38 EST by Christopher Holmes
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-02-27 16:38:20 EST
Description of Problem:

	gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O3 -g" fails

Version-Release number of selected component (if applicable):

	gcc-2.96-101.src.rpm

How Reproducible:

	always

Steps to Reproduce:

1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/gcc.log

Actual Results:

Executing on host:
/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/xgcc
-B/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/execute/ieee/20000320-1.c 
-w  -O3 -g  -ffloat-store  -lm   -o
/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/testsuite/20000320-1.x4   
(timeout = 300)
PASS: gcc.c-torture/execute/ieee/20000320-1.c compilation,  -O3 -g 
FAIL: gcc.c-torture/execute/ieee/20000320-1.c execution,  -O3 -g 

Expected Results:

PASS: gcc.c-torture/execute/ieee/20000320-1.c execution,  -O3 -g 

Additional Information:

	expected results achieved on intel RedHat7.2

Note You need to log in before you can comment on or make changes to this bug.